Skip to main content
GET
/
api
/
external
/
v1
/
listings
curl -X GET "https://www.okasie.be/api/external/v1/listings?pageSize=50&status=active" \
  -H "Authorization: Bearer YOUR_API_SECRET"
{
  "data": [
    {
      "id": "46c7f6c9-70f7-4f98-8c32-12f1a67c6f2e",
      "dealerProfileId": "7f7f7f7f-7f7f-407f-a7f7-7f7f7f7f7f7f",
      "externalReference": "ref-123",
      "title": "Opel Corsa 1.2 Turbo",
      "status": "active",
      "price": 19995,
      "currency": "EUR",
      "brand": "Opel",
      "model": "Corsa",
      "year": 2021,
      "mileage": 25000,
      "fuelType": "petrol",
      "transmission": "automatic",
      "bodyType": "hatchback",
      "carPassUrl": "https://public.car-pass.be/vhr/example",
      "location": {
        "postalCode": "9000",
        "city": "Gent",
        "province": "Oost-Vlaanderen",
        "latitude": 51.0543,
        "longitude": 3.7174
      },
      "images": [
        {"url": "https://cdn.okasie.be/images/46c7f6c9/main.jpg", "position": 0}
      ],
      "dealer": {
        "id": "7f7f7f7f-7f7f-407f-a7f7-7f7f7f7f7f7f",
        "companyName": "Auto Gent",
        "locationCode": "DEX-GENT"
      },
      "createdAt": "2024-10-01T12:34:56Z",
      "updatedAt": "2024-10-05T09:12:01Z"
    }
  ],
  "pagination": {
    "page": 1,
    "pageSize": 50,
    "totalItems": 123,
    "totalPages": 3
  },
  "meta": {
    "partner": {
      "id": "partner-id",
      "name": "Partner Name"
    }
  }
}

List Listings

Retrieve a paginated list of vehicle listings within your partner access scope.
page
integer
default:"1"
Page number (1-based). Alias: page_number
pageSize
integer
default:"50"
Number of items per page (max 200). Aliases: page_size, limit
status
string
default:"active"
Filter by listing status: active, pending, sold, draft, or all
updatedSince
string
ISO 8601 datetime for incremental sync (e.g., 2024-10-01T00:00:00Z). Alias: updated_since
dealerId
string
Filter by specific dealer profile UUID
locationId
string
Alias for filtering by a specific dealer/location profile UUID
profileId
string
Alias for filtering by a specific dealer/location profile UUID. Alias: userId
parentDealerId
string
Filter by parent dealer (includes all child locations). Aliases: parentId, companyId
locationCode
string
Filter by location code (case-insensitive). Alias: location_code

Response

Listing Response Field Names

FieldDescription
idOkasie listing UUID
slugPublic Okasie listing slug
listingUrlPublic Okasie listing URL
dealerProfileIdDealer profile UUID
externalReferencePartner listing reference
externalProviderPartner/provider identifier
titleListing title
descriptionListing description
statusactive, pending, sold, or draft
priceListing price
currencyCurrency, currently EUR
brandVehicle brand
modelVehicle model
yearBuild year
mileageMileage in kilometers
fuelTypeFuel type
transmissionTransmission type
bodyTypeBody type
colorExterior color
doorsNumber of doors
seatsNumber of seats
powerKwEngine power in kW
co2EmissionCO2 emissions in g/km
emissionClassEuro emission class
firstRegistrationFirst registration date
driveTypeDrive type
gearsNumber of gears
interiorColorInterior color
interiorMaterialInterior material
weightVehicle weight in kg
previousOwnersNumber of previous owners
serviceHistoryWhether service history is available
warrantyWhether warranty is included
warrantyMonthsWarranty duration in months
co2TypeCO2 measurement standard
paintTypePaint type
fuelConsumptionFuel consumption in L/100km
variantModel variant or trim
vehicleTypeVAT regime
conditionTagsVehicle condition tags
engineEngine description
vinVehicle identification number
carPassUrlPublic Car-Pass URL or legacy 11-digit certificate number
location.postalCodeListing postal code
location.cityListing city
location.provinceListing province
location.latitudeListing latitude
location.longitudeListing longitude
images[].urlImage URL
images[].positionImage order
mainImageUrlFirst image URL
features[].categoryFeature category
features[].nameFeature name
dealer.idDealer profile UUID
dealer.parentIdParent dealer profile UUID
dealer.locationCodeDealer location code
dealer.companyNameDealer company name
dealer.fullNameDealer full name
dealer.displayNameDealer display name
dealer.emailDealer email
dealer.phoneDealer phone
dealer.addressDealer address
dealer.postalCodeDealer postal code
dealer.cityDealer city
dealer.provinceDealer province
dealer.logoUrlDealer logo URL
dealer.metadataDealer location metadata
dealer.parentParent dealer summary
createdAtISO 8601 creation timestamp
updatedAtISO 8601 last update timestamp
soldAtISO 8601 sold timestamp, when sold
data
array
Array of listing objects
pagination
object
Pagination metadata
meta
object
Request metadata including partner info and applied filters
curl -X GET "https://www.okasie.be/api/external/v1/listings?pageSize=50&status=active" \
  -H "Authorization: Bearer YOUR_API_SECRET"
{
  "data": [
    {
      "id": "46c7f6c9-70f7-4f98-8c32-12f1a67c6f2e",
      "dealerProfileId": "7f7f7f7f-7f7f-407f-a7f7-7f7f7f7f7f7f",
      "externalReference": "ref-123",
      "title": "Opel Corsa 1.2 Turbo",
      "status": "active",
      "price": 19995,
      "currency": "EUR",
      "brand": "Opel",
      "model": "Corsa",
      "year": 2021,
      "mileage": 25000,
      "fuelType": "petrol",
      "transmission": "automatic",
      "bodyType": "hatchback",
      "carPassUrl": "https://public.car-pass.be/vhr/example",
      "location": {
        "postalCode": "9000",
        "city": "Gent",
        "province": "Oost-Vlaanderen",
        "latitude": 51.0543,
        "longitude": 3.7174
      },
      "images": [
        {"url": "https://cdn.okasie.be/images/46c7f6c9/main.jpg", "position": 0}
      ],
      "dealer": {
        "id": "7f7f7f7f-7f7f-407f-a7f7-7f7f7f7f7f7f",
        "companyName": "Auto Gent",
        "locationCode": "DEX-GENT"
      },
      "createdAt": "2024-10-01T12:34:56Z",
      "updatedAt": "2024-10-05T09:12:01Z"
    }
  ],
  "pagination": {
    "page": 1,
    "pageSize": 50,
    "totalItems": 123,
    "totalPages": 3
  },
  "meta": {
    "partner": {
      "id": "partner-id",
      "name": "Partner Name"
    }
  }
}